PSUPDATE(8)

NAME
psupdate - update the ps database of kernel offsets

SYNOPSIS
psupdate [path to uncompressed kernel image]

DESCRIPTION
psupdate updates the /boot/psdatabase file to correspond to the current kernel image system map file, /usr/src/linux/vmlinux by default.

  Options
If your system map file is not /usr/src/linux/vmlinux, you may give the name of an alternate map file on the command line. This is the only argument currently supported.

FILES
/etc/psdatabase
/usr/src/linux/vmlinux

NOTE
The database produced by this version of psupdate is not compatible with the one produced by the kmem-based psupdate. The procps version does not need some of the things contained in the kmemps database, so the procps database is slightly smaller and has a different "magic" string. Also, the kmem-based version (as of v1.2.9) is not quite as up-to-date in some respects. If, for some obscure reason, you want to use both the proc- and kmem-based versions of the ps suites, you should keep two different databases and update both of them at boot (or kernel-compilation) time. (Please note that kmemps, by default, puts its database in a different place anyway: /var/run.) The ps command does not absolutely need the /etc/psdatabase file. If it is missing, then ps will examine the System.map file, if it can find it (see ps(1)). If it cannot find the psdatabase or the System.map file, it will simply be unable to put symbolic information in the WCHAN field.

SEE ALSO
ps(1)

AUTHORS
Original code written by Branko Lankaster, horribly munged by Michael K. Johnson in a desperate effort to add WCHAN support to procps. Jeff Uphoff added the code to handle ELF-compiled kernels and rewrote much of the other code. David Mossberger-Tang wrote the generic BFD support.